ShortLinkControllerGetShortLink Method (String, NullableGuid) |
POST /ShortLink/
Creates a short link based on the long link given.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Index")]
public HttpResponseMessage GetShortLink(
[FromBodyAttribute] string longLink,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Index")>
Public Function GetShortLink (
<FromBodyAttribute> longLink As String,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Index")]
HttpResponseMessage^ GetShortLink(
[FromBodyAttribute] String^ longLink,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Index")>]
member GetShortLink :
[<FromBodyAttribute>] longLink : string *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- longLink
- Type: SystemString
The long link to shorten. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A
String with the short link, or a status code indicating the problem.
See Also